Subject: Pie menus

From: [email-masked] (Jeremy Fitzhardinge)
Date: Thu, 26 Nov 1992 20:36:05 -0500

I've just been playing around with Don Hopkins' version of twm with pie
menus, and I think I really like them.

It struck me that they would be really useful to implement sam's menus
as a pie menu, especially the middle button cut'n'paste menu.  With a
small number of options, you can easily and accurately move the mouse in
the right direction to select things without having to read the label -
much more easily than moving down a linear menu.  Also, it's much faster,
since the mouse pointer starts in the right place for all the menu items,
rather than having the "last chosen" hack currently used.

How hard would it be to add a new menu type to sam/libXg?

	J